Grasshopper

algorithmic modeling for Rhino

Hi, I am creating a line and a rectangle separately and then trying to join them with JoinCurves:

LumHorz = rs.AddLine((0,0,0),(length*2,0,0))
LumPoly = rs.AddRectangle((0,0,0),length,width)
LumPoly = rs.MoveObject(LumPoly,(-length/2,-width/2,0))
LumPoly = rs.JoinCurves((LumPoly,LumHorz),tolerance=False)

However, I can only get the rectangle to show up in the joined curve. (The image in the rectangle is rotated because later on I do rotate the whole geometry).

Am I doing something incorrectly ?

Thanks,

Sarith

Views: 961

Replies to This Discussion

Hi Sarith,

You cannot join a closed curve (rectangle) with another line. You can either create two rectangles (half of the size of your current rectangle or create a polyline from the points in case you want to have the shape drawn by a single curve.

Attachments:

RSS

About

Translate

Search

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service